:root {
    background-color: oklch(0.9961 0.0034 325.6);
    font-family: "Montserrat", "Arial", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
}

body {
    margin: 0;
}

.container {
    max-width: 80rem;
    margin: 0 auto;
    padding: 0 1rem;
}

header {
    background-color: oklch(0.1454 0.062 264);
    color: oklch(0.9961 0.0034 325.6);
}

footer {
    background-color: oklch(0.3211 0 0)
}

nav ul {
    margin: 0;
    margin-left: -2rem;
    padding: 0;
    list-style: none;
}

nav a {
    display: block;
    padding: 1rem 2rem;
    color: inherit;
    text-decoration: none;
}

nav ul :nth-child(2) {
    background-color: aqua;
    color: blue;
}

footer :last-child {
    margin: 0;
}

h2 + p {
    font-style: italic;
}

a[href*="mozilla"] {
    background-color: rgba(255, 166, 0, 0.568);
}

.highlight span {
    font-weight: 600;
    font-style: italic;
}

.container--narrow {
    max-width: 40rem;
}

.m-1 {
    margin: 1rem;
}

.m-2 {
    margin: 2rem;
}

.p-1 {
    padding: 1rem;
}

.p-2 {
    padding: 2rem;
}

main {
    padding-top: 2vh;
    padding-bottom: 4vw;
}

footer .highlight span {
    font-weight: inherit;
    font-style: inherit;
    color: rgb(127, 255, 212);
}

nav a:hover {
    background-color: oklch(27.476% 0.13045 266.534);
}

nav a:focus-visible {
    outline: 4px dotted oklch(0.9961 0.0034 325.6);     
}